Skip to main content
GET
/
v2
/
financials
/
quarterly
/
{ticker}
Company Quarterly Financials
curl --request GET \
  --url https://api.sectors.app/v2/financials/quarterly/{ticker}/ \
  --header 'Authorization: <api-key>'
[
  {
    "symbol": "BMRI.JK",
    "date": "2024-12-31",
    "revenue": 74388736000000,
    "earnings": 16398346000000,
    "total_assets": 2427223262000000,
    "total_equity": 313474681000000,
    "operating_cash_flow": 12267786000000,
    "financials_sector_metrics": {
      "net_interest_income": 54045221000000,
      "gross_loan": 1623216612000000,
      "total_deposit": 1446234957000000
    }
  }
]

Authorizations

Authorization
string
header
required

API key passed directly in the Authorization header (without Bearer prefix).

Path Parameters

ticker
string
required

IDX ticker symbol. E.g. BMRI, BBCA.

Query Parameters

report_date
string

Specific report date (YYYY-MM-DD). Use the Quarterly Financial Dates endpoint to get valid values.

approx
boolean
default:true

If true (default), use approximate quarter matching when an exact date is not found.

n_quarters
integer

Number of most recent quarters to return.

Response

Array of quarterly financial records. Fields vary by sector.

{key}
any